
#ifndef ITKIMAGEPROCESSORHELPERS_H
#define ITKIMAGEPROCESSORHELPERS_H

#include "itkEuler3DTransform.h"
#include "itkImage.h"
#include "itkEuler3DTransform.h"

#include "itkCommand.h"
#include "itkObject.h"
#include "itkObjectFactory.h"

#include <gdcmTag.h>
#include <gdcmDataSet.h>

namespace itk
{


using TransformType = itk::Euler3DTransform<double>;
constexpr static unsigned int Dimension = 3;
using PixelType3D = short;
using InternalPixelType = float;

using ImageType3D = itk::Image<PixelType3D, Dimension>;
using InternalImageType = itk::Image<InternalPixelType, Dimension>;


TransformType::Pointer
MapTransformToNewOrigin(
        ImageType3D::PointType m_COR,
        ImageType3D::PointType m_Translations,
        ImageType3D::PointType m_Rotations
        );


TransformType::Pointer
     CalculateInternalTransformV3(
             ImageType3D::PointType m_Translation,
             ImageType3D::PointType m_Rotation,
             ImageType3D::PointType m_CalibratedProjectionCenter,
             ImageType3D::PointType m_RTIsocenter,
             InternalImageType::DirectionType m_IECtoLPSDirections
             );

const char *gGetStringValueFromTag(const gdcm::Tag& t, const gdcm::DataSet& ds);

int query2DimageReconstructionDiameter(const char*);

const char* queryStationName(const char*);

};


#endif
