#include "itkReg23MetaInformation.h"


namespace itk {

PowellOptimizerMetaInformation::
PowellOptimizerMetaInformation(){

    this->m_MaximumLineInteration = 4;
    this->m_StepLength = 2.0;
    this->m_StepTolerance = 0.01;
    this->m_ValueTolerance = 0.000002;

    this->m_MaxIterations = 6;
}

void
PowellOptimizerMetaInformation
::PrintSelf(std::ostream& os, itk::Indent indent) const
{
    Superclass::PrintSelf(os, indent);
}


PowellOptimizerMetaInformation
::~PowellOptimizerMetaInformation ()
{

}


AmoebaOptimizerMetaInformation::
AmoebaOptimizerMetaInformation(){

    this->m_ParametersConvergenceTolerance = 0.1;
    this->m_FunctionConvergenceTolerance = 0.000002;
    this->m_SimplexDelta = 2.0;

    this->m_MaxIterations = 100;
}


void
AmoebaOptimizerMetaInformation
::PrintSelf(std::ostream& os, itk::Indent indent) const
{
    Superclass::PrintSelf(os, indent);
}


AmoebaOptimizerMetaInformation
::~AmoebaOptimizerMetaInformation ()
{

}


MIMetricMetaInformation::
MIMetricMetaInformation(){

    this->m_MaxTranslation = 100.0;
    this->m_NumberOfHistogramBins = 50;

}


void
MIMetricMetaInformation
::PrintSelf(std::ostream& os, itk::Indent indent) const
{
    Superclass::PrintSelf(os, indent);
}


MIMetricMetaInformation
::~MIMetricMetaInformation ()
{

}

NCCMetricMetaInformation::
NCCMetricMetaInformation(){

    this->m_MaxTranslation = 100.0;
    this->m_SubtractMean = true;

}


void
NCCMetricMetaInformation
::PrintSelf(std::ostream& os, itk::Indent indent) const
{
    Superclass::PrintSelf(os, indent);
}


NCCMetricMetaInformation
::~NCCMetricMetaInformation ()
{

}

}
